Skip to content

Searches for abstracts using predefined parameters

Request

Searches for abstracts using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The abstract that you would like to be saved.

bodystring(Body)
citystring(City)

The member city

co_author_idsstring(Co Authors)
countrystring(Country)

The member country

dateArray of strings, (date-time), = 2 items(Date)
email_addressstring(Email Address)

The member's email address

event_idstring(Event)required
first_namestring(First Name)

The member's first name

idstring(ID)
job_titlestring(Job Title)

The member job title

last_namestring(Last Name)

The member's last name

namestring(Name)required

The member's name

statestring(State)

The state

statusstring(Status)
titlestring(Title)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "body": "string",
    "city": "string",
    "co_author_ids": "string",
    "country": "string",
    "date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "email_address": "string",
    "event_id": "string",
    "first_name": "string",
    "id": "string",
    "job_title": "string",
    "last_name": "string",
    "name": "string",
    "state": "string",
    "status": "string",
    "title": "string",
    "type_id": [
      "string"
    ]
  }'

Responses

The abstract search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(AbstractSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }